package com.ssj.framework.weixin.card.qrcode;

import java.io.Serializable;

/** 
 * @author  ZhangCaibao 
 * @version 2017年3月3日 上午11:03:29 
 * 类说明 POST数据 开发者可以设置扫描二维码领取单张卡券，此时POST数据为：
 */
public class CardCodeCode implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -1795327826453649538L;
	/**
	 * card_id	否	string(32)	pFS7Fjg8kV1IdDz01r4SQwMkuCKc	卡券ID
	 */
	private String  card_id;
	/**
	 * code	是	string(20)	110201201245	卡券Code码,use_custom_code字段为true的卡券必须填写，非自定义code不必填写。。
	 */
	private String  code;
	/**
	 * openid	否	string(32)	oXch-jkrxp42VQu8ldweCwDt97qo	
	 * 指定领取者的openid，只有该用户能领取。
	 * bind_openid字段为true的卡券必须填写，非指定openid不必填写。
	 */
	private String  openid;
	/**
	 * is_unique_code	否	bool	false	
	 * 指定下发二维码，生成的二维码随机分配一个code，领取后不可再次扫描。填写true或false。默认false。
	 */
	private boolean  is_unique_code;
	/**
	 * outer_id	否	int	12	领取场景值，用于领取渠道的数据统计，默认值为0，
	 * 字段类型为整型，长度限制为60位数字。用户领取卡券后触发的事件推送中会带上此自定义场景值。
	 */
	private String  outer_id;
	public String getCard_id() {
		return card_id;
	}
	public void setCard_id(String card_id) {
		this.card_id = card_id;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	public boolean isIs_unique_code() {
		return is_unique_code;
	}
	public void setIs_unique_code(boolean is_unique_code) {
		this.is_unique_code = is_unique_code;
	}
	public String getOuter_id() {
		return outer_id;
	}
	public void setOuter_id(String outer_id) {
		this.outer_id = outer_id;
	}
	
	
	
}
